const app = getApp()
import $http from './../../API/http'
Page({
  data: {
    visitorName: '', //访客的名字
    company: '', // 到访者的公司
    startTimeYear: '', // 开始时间的年月日
    startHour: '', // 开始时间的小时
    endHour: '', //结束时间的小时
    endTimeYear: '', // 结束时间的年月日
    byVisitorName: '', // 被访人
    purpose: '', // 来访的目的
    participatorUserList: '', // 周知人员
    participator: '',
    phone: '', // 访客的手机号
    processStatus: '', // 访客的状态
    overdue: '',
    visitAddress: '', //到访的地址
    self:true
  },
  onLoad(event) {
    console.log(JSON.parse(event.item), 'query')
    //由JSON字符串转换为JSON对象)
    const that = this
    let query = JSON.parse(event.item)
    dd.setNavigationBar({
      title: "访客详情",
    });
    this.setData({
      self:query.self,
      visitorName: query.visitorName,
      company: query.companyName,
      startTimeYear: `${query.startTime.yearMonthDate}`,
      startHour: `${query.startTime.hourMinute}`,
      endTimeYear: `${query.endTime.yearMonthDate}`,
      endHour: `${query.endTime.hourMinute}`,
      byVisitorName: `${query.byVisitorName}`,
      purpose: query.purpose,
      visitAddress: query.visitAddress,
      participatorUserList: query.participatorUserList,
      participator: '',
      phone: query.mobile,
      processStatus: query.processStatus,
      overdue: query.overdue,
      recordId: query.recordId
    })
  },
  onReady() {

  },
  cancel() {
    dd.confirm({
      title: '确认取消访问',
      content: '是否确认取消该预约，取消后访客将不能使用该访问码',
      confirmButtonText: '确认',
      cancelButtonText: '取消',
      success: (result) => {
        if (result.confirm == false) {

        }
        else {
          let data = {
            recordId: this.data.recordId
          }
          $http.$http('/admin/visitor/cancelVisit', data, 'post').then(res => {
            console.log(res)
            this.setData({ processStatus: 'cancel' })
          })
        }
      },
    });

  },
  reception() {
    console.log(3333333)
    dd.confirm({
      title: '确认已接待',
      confirmButtonText: '确认',
      cancelButtonText: '取消',
      success: (result) => {
         console.log(result)
         console.log(4444)
        if (result.confirm == 'false') {
          console.log(11111111111111)
        }
        else {
           console.log(222222)
          let data = {
            recordId: this.data.recordId
          }
          $http.$http('/admin/visitor/confirmVisit', data, 'post').then(res => {
            console.log(res)
            this.setData({ processStatus: 'arrive' })
          })
        }

      },
      fail: (err) => {
        console.log(66666)
      }
    });


  },
  call() {
    dd.showCallMenu({
      phoneNumber: this.data.phone, // 期望拨打的电话号码
      code: '+86', // 国家代号，中国是+86
      showDingCall: true, // 是否显示钉钉电话
      success: function(res) {
      },
      fail: function(err) {
      }
    });
  },
  onShow() {
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onReachBottom() {
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
