const app = getApp()
import create from 'dd-store'
import exampleStore from '/stores/exampleStore'
import $http from './../../API/http'
create.Page({
  store: exampleStore,
  useAll: true,
  data: {
    query: ''
  },
  onLoad(query) {
    console.log(query.index, 'query')
    this.setData({ query: query.index })
    dd.setNavigationBar({
      title: '手机通讯录',
    });
  },
  onReady() {
    const _that = this
    _that.store.data.selectVisitors = false
    _that.update()
    dd.choosePhonebook({
      multiple: false, //是否多选： true多选 false单选； 默认true
      success: function(res) {
        if (_that.data.query == 0) {
          _that.store.data.visitorName = res[0].name
        }
        else {
          _that.store.data.visitorPeer[_that.data.query - 1] = res[0].name
          _that.store.data.selectVisitors = false
          _that.update()
        }
        dd.navigateBack({
          delta: 1
        })
      },
      fail: function(err) {
        _that.store.data.selectVisitors = false
        _that.update()
        dd.navigateBack({
          delta: 1
        })
      }
    });

  },
  onShow() {
    // 页面显示
  },
  onHide() {
    // 页面隐藏
  },
  onUnload() {
    // 页面被关闭
  },
  onTitleClick() {
    // 标题被点击
  },
  onReachBottom() {
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: 'My App',
      desc: 'My App description',
      path: 'pages/index/index',
    };
  },
});
